Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Create User

POST/api/v1/users
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Request body
requiredapplication/json
emailstringrequired
namestring | any
Show properties
Any of:
string
string
any
any
rolestring
default: "member"
groupsUserGroup[]
passwordstring | any
Show properties
Any of:
string
string
any
any
Responses
201Successful Response
successboolean
default: true
dataUserSchema | any
Show properties
Any of:
UserSchema
idstringrequired
emailstring | any
Show properties
Any of:
string
string
any
any
namestring | any
Show properties
Any of:
string
string
any
any
image_urlstring | any
Show properties
Any of:
string
string
any
any
rolestring
default: "member"
groupsstring[]
created_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "/api/v1/users" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "string",
  "name": "string",
  "role": "member",
  "groups": [
    "motion"
  ],
  "password": "string"
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "email": "string",
    "name": "string",
    "image_url": "string",
    "role": "member",
    "groups": [
      "string"
    ],
    "created_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}